:root
{
  --c1: #bdd0c4;
  --c2: #9ab7d3;
  --c3: #f5d2d3;
  --c4: #dfccf1;
  --c5: #f7e1d3;
  --color-line: 0.6rem;
  --highlight: #2a1d39;
  --grad: linear-gradient(90deg, var(--c1) 20%,  var(--c2) 40%,  var(--c3) 60%,  var(--c4) 80%);
}

@font-face
{
	font-family:"Raleway";
	src: url("Raleway-Regular.ttf") format("truetype");
}

@font-face
{
	font-family:"Raleway";
	src: url("Raleway-Bold.ttf") format("truetype");
  font-weight: bold;
}

html
{
  font-size: 62.5%;
  margin-left:0;
  margin-right:0;
  font-family: "Raleway";
}

body
{
  color:#000;
  font-size: 1.6rem;
  line-height: 1.6;
}

div
{
  page-break-inside: avoid;
}

h3, .company-title
{
  padding-bottom: var(--color-line);
  background: #FFF;
  background-image: var(--grad);
  background-position: bottom left;
  background-repeat: no-repeat;
  background-size: 100% var(--color-line);
}

body > h3:first-of-type
{
  background-size: 90% var(--color-line);
}

.company-title
{
  display:flex;
  align-items: baseline;
  justify-content: space-between;
  margin-bottom:0.8rem;
}

.company-title > div
{
  margin-top:0;
  font-size: 1.4rem;
  background-repeat: no-repeat;
  background-image: url(calendar.svg);
  padding-left:24px;
}

.company-title > div:first-of-type
{
  font-size: 20px;
  background-image: url(briefcase.svg);
  background-position: center left;
  padding-left:28px;
}



.company-title > div img
{
    padding:0;
    margin:0;
    margin-right: 1.2rem;
    margin-top:0.2rem;
    float:left;
}

img#mugshot {
  border-radius: 50%;
	display: block;
  float:right;
  border-width: var(--color-line);
  border-color: var(--c4);
  border-style: solid;
}

.skill
{
	display:inline-block;
	text-decoration:none;
	color:#000;
	padding-left:0.2em;
	padding-right:0.2em;
	margin-bottom:0.4em;
}

.s_language
{
	background-color:var(--c1);
}

.s_framework
{
	background-color:var(--c2);
}

.s_markup
{
	background-color:var(--c3);
}

.s_know
{
	background-color:var(--c4);
}

.s_os
{
	background-color:var(--c5);
}

.little
{
  color: #222;
  font-size: 0.9em;
  font-weight: bold;
}

.columns
{
  width:100%;
  display:flex;
}

.main
{
  flex-grow: 4;
}

.skills
{
  flex-grow: 1;
  min-width: 25%;
  padding-left:0.5rem;
  margin-left:0.5rem;
  border-left-style: solid;
  border-left-width:medium;
  border-color: var(--c4);
}

A
{
  text-decoration:underline;
  color: var(--highlight);
  font-weight: bold;
}

.role-columns, .education-columns
{
  width:100%;
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  margin-bottom:0.8rem;
}

.role-columns > div, .education-columns > div
{
  display:block;
  background-image: url(clock.svg);
  background-repeat: no-repeat;
  padding-left:24px;
}

.education-columns > div
{
  background-image: url(calendar.svg);
}

.role-columns > div:first-of-type
{
  font-weight: bold;
  background-image: url(user.svg);
}

.education-columns > div:first-of-type
{
  font-weight: bold;
  background-image: url(map-pin.svg);
}

.award
{
  background-image: url(award.svg);
  background-repeat: no-repeat;
  padding-left:24px;
}

.role-skill-lists
{
  font-size:1.2rem;
  display: flex;
}

.role-skill-lists > div
{
  width:50%;
}
